# Uses of Class
org.snpeff.snpEffect.SnpEffectPredictor

Packages that use SnpEffectPredictor
Package
Description
org.snpeff.coverage
org.snpeff.snpEffect
org.snpeff.snpEffect.factory
org.snpeff.stats
org.snpeff.svg

## Uses of SnpEffectPredictor in org.snpeff.coverage

Constructors in org.snpeff.coverage with parameters of type SnpEffectPredictor
Modifier
Constructor
Description
``
`CountReads(String fileName, SnpEffectPredictor snpEffectPredictor)`
``
`CountReadsOnMarkers(SnpEffectPredictor snpEffectPredictor)`

## Uses of SnpEffectPredictor in org.snpeff.snpEffect

Methods in org.snpeff.snpEffect that return SnpEffectPredictor
Modifier and Type
Method
Description
`SnpEffectPredictor`
Config.`getSnpEffectPredictor()`
`static SnpEffectPredictor`
SnpEffectPredictor.`load(Config config)`
Load predictor from a binary file
`SnpEffectPredictor`
Config.`loadSnpEffectPredictor()`
Load a snpEff predictor WARNING: 'genome' object get replaced upon loading a snpEffectPredictor (this is a dangerous side effect)
Methods in org.snpeff.snpEffect with parameters of type SnpEffectPredictor
Modifier and Type
Method
Description
`void`
Config.`setSnpEffectPredictor(SnpEffectPredictor snpEffectPredictor)`

## Uses of SnpEffectPredictor in org.snpeff.snpEffect.factory

Methods in org.snpeff.snpEffect.factory that return SnpEffectPredictor
Modifier and Type
Method
Description
`abstract SnpEffectPredictor`
SnpEffPredictorFactory.`create()`
`SnpEffectPredictor`
SnpEffPredictorFactoryFeatures.`create()`
`SnpEffectPredictor`
SnpEffPredictorFactoryGenesFile.`create()`
`SnpEffectPredictor`
SnpEffPredictorFactoryGff.`create()`
`SnpEffectPredictor`
SnpEffPredictorFactoryKnownGene.`create()`
`SnpEffectPredictor`
SnpEffPredictorFactoryRand.`create()`
`SnpEffectPredictor`
SnpEffPredictorFactoryRefSeq.`create()`

## Uses of SnpEffectPredictor in org.snpeff.stats

Methods in org.snpeff.stats with parameters of type SnpEffectPredictor
Modifier and Type
Method
Description
`void`
ReadsOnMarkersModel.`setSnpEffectPredictor(SnpEffectPredictor snpEffectPredictor)`
Constructors in org.snpeff.stats with parameters of type SnpEffectPredictor
Modifier
Constructor
Description
``
`ReadsOnMarkersModel(SnpEffectPredictor snpEffectPredictor)`

## Uses of SnpEffectPredictor in org.snpeff.svg

Constructors in org.snpeff.svg with parameters of type SnpEffectPredictor
Modifier
Constructor
Description
``
`SvgTranslocation(Transcript tr1, Transcript tr2, VariantBnd varBnd, SnpEffectPredictor snpEffPredictor)`